OGRE: Ogre::HardwareBufferLicensee Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::HardwareBufferLicensee Class Reference

Abtract interface representing a 'licensee' of a hardware buffer copy. More...

`#include <OgreHardwareBufferManager.h>`

Inheritance diagram for Ogre::HardwareBufferLicensee:

[legend]
List of all members.

## Public Member Functions

virtual | ~HardwareBufferLicensee ()
virtual void | licenseExpired (HardwareBuffer *buffer)=0
| This method is called when the buffer license is expired and is about to be returned to the shared pool.

## Detailed Description

Abtract interface representing a 'licensee' of a hardware buffer copy.

remarks Often it's useful to have temporary buffers which are used for working but are not necessarily needed permanently. However, creating and destroying buffers is expensive, so we need a way to share these working areas, especially those based on existing fixed buffers. This class represents a licensee of one of those temporary buffers, and must be implemented by any user of a temporary buffer if they wish to be notified when the license is expired.

Definition at line 52 of file OgreHardwareBufferManager.h.

## Constructor & Destructor Documentation

virtual Ogre::HardwareBufferLicensee::~HardwareBufferLicensee | ( |  | ) | `[virtual]`

| Definition at line 55 of file OgreHardwareBufferManager.h.

## Member Function Documentation

virtual void Ogre::HardwareBufferLicensee::licenseExpired | ( | HardwareBuffer * | buffer | ) | `[pure virtual]`

| This method is called when the buffer license is expired and is about to be returned to the shared pool. Implemented in Ogre::TempBlendedBufferInfo.

The documentation for this class was generated from the following file:

- OgreHardwareBufferManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:50 2008